import type { MenuDataItem, MessageDescriptor, Route } from '../typing';
export declare const childrenPropsName = "routes";
export declare function stripQueryStringAndHashFromPath(url: string): string;
export declare function isUrl(path: string): boolean;
export declare function getKeyByPath(item: MenuDataItem): string | undefined;
declare function transformRoute(routeList: Route[], locale?: boolean, formatMessage?: (message: MessageDescriptor) => string, ignoreFilter?: boolean): {
    breadcrumb: Map<string, MenuDataItem>;
    menuData: MenuDataItem[];
};
export default transformRoute;
